Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.core
Interface IDragDropListenerProvider

All Superinterfaces:
  IProvider

All Known Implementing Classes:
  AbstractDragDropListenerProvider, DragDropListenerService

    public interface IDragDropListenerProvider

extends IProvider

Interface that needs to be implemented by the client who provides `IDragSourceListener` and `IDropTargetListener`

Method Summary
`IDragSourceListener[]` `getDragSourceListeners(IDragListenerContext context)` Returns an array of `IDragSourceListener` for the given `IDragDropListenerContext`
`IDropTargetListener[]` `getDropTargetListeners(IDropListenerContext context)` Returns an array of `IDropTargetListener` for the given `IDragDropListenerContext`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Method Detail

### getDragSourceListeners

    IDragSourceListener[] getDragSourceListeners(IDragListenerContext context)

  Returns an array of `IDragSourceListener` for the given `IDragDropListenerContext`

  Parameters:
    `context` - The context for the provider
  Returns:
    Returns an array of `IDragSourceListener`

### getDropTargetListeners

    IDropTargetListener[] getDropTargetListeners(IDropListenerContext context)

  Returns an array of `IDropTargetListener` for the given `IDragDropListenerContext`

  Parameters:
    `context` - The context for the provider
  Returns:
    Returns an array of `IDropTargetListener`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.